from Interpreter.Validator import Validator
from Interpreter.Interpreter import Interpreter
from CCLang_sly.Interpreter import Interpreter as SlyCCLangInterpreter
from CCLang_rply.Interpreter import Interpreter as RplyCCLangInterpreter
from Interpreter.Utils import Utils
from Interpreter.Repo import Repo


class ServiceInitializer:

    def __init__(self) -> None:
        self.repo = Repo()
        self.utils = Utils(self.repo)
        self.interpreter = Interpreter(self.repo, self.utils)
        self.sly_cclang_interpreter = SlyCCLangInterpreter(self.repo, self.utils)
        self.rply_cclang_interpreter = RplyCCLangInterpreter(self.repo, self.utils)
